<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  title="Detalhe de  Operadora">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	<fx:Metadata>
		[Event(name="OperadoraExcluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			import br.com.desenv.nepalign.vo.Operadora;
			
			[Bindable]
			public var operadora : Operadora = null;
			
			private var operadoraComponenteCadastro: OperadoraComponenteCadastro;
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				operadoraComponenteCadastro = new OperadoraComponenteCadastro();
				operadoraComponenteCadastro.operadora = this.operadora;
				operadoraComponenteCadastro.addEventListener("OperadoraAtualizadoEvent", atualizarOperadoraPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(operadoraComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(operadoraComponenteCadastro);
			}
			
			private function atualizarOperadoraPorAtualizacaoResultHandler(e:Event):void
			{
				this.operadora = operadoraComponenteCadastro.operadora;
			}
			
			protected function buttonExcluir_clickHandler(event:MouseEvent):void
			{

				var alert = Alert.show("Ok para excluir", "Confirmacao de Exclusao", Alert.YES | Alert.NO, this, excluirOperadoraCloseHandler);
			}
			
			private function excluirOperadoraCloseHandler(event:CloseEvent):void
			{
				if(event.detail == Alert.YES)
				{
					var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("operadoraService", excluirResultHandler);	
					remoteObject.getOperation("excluir").send(this.operadora);
				}
			}
			
			private function excluirResultHandler( event: ResultEvent ): void 
			{
				this.dispatchEvent(new Event("OperadoraExcluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{operadora.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Nome:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{operadora.nome}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código da Operadora:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{operadora.codigo}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="2">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
		
	</mx:Grid>

</s:TitleWindow>